--     Author: rob
--     Filename: primary.lua

local lexers = vis.lexers

local fg = ',fore:default,'
local bg = ',back:default,'

-- 0 = light
-- 1 = dark
local c = {
        blue0   = '#5fd7ff', -- 081 
        blue1   = '#00ffff', -- 045 
        blue2   = '#000b1e', -- 002
        purple0 = '#8086e8', -- 089 
        purple1 = '#af87ff', -- 141 
        brown1  = '#87875f', -- 101 
        green0  = '#87ffaf', -- 112 
        yellow0 = '#e0c060', -- 185 
        orange1 = '#ffaf00', -- 173 
        orange0 = '#f25030', -- 214
        red0    = '#D32213', -- 197 
        black0  = '#000000', -- 235
        grey0   = '#4e4e4e', -- 239
        grey1   = '#2c303b', -- 237
        grey2   = '#bcbcbc', -- 250
        white1  = '#ffffff', -- 230
}

lexers.STYLE_DEFAULT = bg..fg
lexers.STYLE_NOTHING = bg
lexers.STYLE_CLASS = 'fore:' .. c.orange1
lexers.STYLE_COMMENT = 'fore:' .. c.brown1
lexers.STYLE_CONSTANT = 'fore:' .. c.purple1
lexers.STYLE_DEFINITION = 'fore:' .. c.blue1
lexers.STYLE_ERROR = 'fore:' .. c.red0 .. ',italics,back:'..c.purple0
lexers.STYLE_FUNCTION = 'fore:' .. c.red0
lexers.STYLE_KEYWORD = 'fore:' .. c.orange1
lexers.STYLE_LABEL = 'fore:' .. c.orange0
lexers.STYLE_NUMBER = 'fore:' .. c.purple0
lexers.STYLE_OPERATOR = 'fore:' .. c.green0
lexers.STYLE_REGEX = 'fore:' .. c.red0
lexers.STYLE_STRING = 'fore:' .. c.purple0
lexers.STYLE_PREPROCESSOR = 'fore:' .. c.red0
lexers.STYLE_TAG = 'fore:' .. c.green0
lexers.STYLE_TYPE = 'fore:' .. c.blue1
lexers.STYLE_VARIABLE = 'fore:' .. c.blue1
lexers.STYLE_WHITESPACE = 'fore:' .. c.grey2
lexers.STYLE_EMBEDDED = 'back:' .. c.blue1
lexers.STYLE_IDENTIFIER = fg
lexers.STYLE_LINENUMBER = 'fore:' .. c.grey2 .. ',fore:' .. c.grey1
lexers.STYLE_LINENUMBER_CURSOR = 'fore:'.. c.purple0 ..',back:'.. c.blue2
lexers.STYLE_CURSOR = 'fore:' .. c.black0 .. ',back:' .. c.white1
lexers.STYLE_CURSOR_PRIMARY = 'fore:' .. c.black0 .. ',back:' .. c.blue1
--lexers.STYLE_CURSOR_LINE = 'underlined'
lexers.STYLE_CURSOR_LINE = 'back:' .. c.grey1
lexers.STYLE_COLOR_COLUMN = lexers.STYLE_CURSOR_LINE
lexers.STYLE_SELECTION = 'back:' .. c.grey0 .. ',fore:' .. c.red0
lexers.STYLE_STATUS = 'fore:' .. c.blue2 .. ',fore:' .. c.green0
lexers.STYLE_STATUS_FOCUSED = lexers.STYLE_STATUS .. ',bold'
lexers.STYLE_SEPARATOR = lexers.STYLE_DEFAULT
lexers.STYLE_INFO = 'fore:' ..c.purple1
--lexers.STYLE_INFO = 'fore:default,back:default,bold'
lexers.STYLE_EOF = lexers.STYLE_COMMENT
