--   ___  ___ ___  ________    
--  |\  \|\  \\  \|\   ____\   
--  \ \  \|\  \\  \\\  \___|\    
--   \ \  \|\  \\  \\\_____  \    
--    \ \  \|\  \\  \\|____|\ \
--     \ \  \|   \\  \ ____\_\ \
--      \ \_______\\__\|\_______\
--       \|_______||__|\|_______|
--
--     Author: rob
--     Filename: visrc.lua
                  

require('vis')

                  -- plugins
require('plugins/vis-title')
require('plugins/filetype')
require('plugins/vis-commentary')
require('plugins/vis-spellcheck')
require('plugins/statusline')
require('plugins/copypasta')

                  -- configuración global
vis.events.subscribe(vis.events.INIT,
    function()
    vis:command('set theme primary')
    vis:command('set autoindent')
    
                  --* deshacer - / rehacer + / remplazar / escapar
    vis:map(vis.modes.NORMAL, "<C-d>", ':earlier<Enter>')
    vis:map(vis.modes.NORMAL, "<M-r>", ':later<Enter>')             
    vis:map(vis.modes.NORMAL, "<F8>", ':x/foo/ c/foo/')
    vis:map(vis.modes.INSERT, "<S-Tab>", '<Escape>')
            
                   -- configuración de copy / paste 
    vis:map(vis.modes.VISUAL, "<C-c>", ':> vis-clipboard --copy<Enter>')   
    vis:map(vis.modes.NORMAL, "<C-v>", ':< vis-clipboard --paste<Enter>')

                   -- apertura de nuevo editor (horizontal) / apertura de nnn en tmux
    vis:map(vis.modes.NORMAL, "<F1>", ':new<Enter>') 
    vis:map(vis.modes.NORMAL, "<F2>", ':!tmux split-window -l 14 nnn -b l<Enter>') 
end)

                    -- configuración por ventana  
vis.events.subscribe(vis.events.WIN_OPEN,
    function(win)    
    vis:command('set relativenumbers')
    vis:command('set cursorline')
    vis:command('set show-eof off')
    vis:command('set show-tabs off')
    vis:command('set ignorecase')
    vis:command('set tabwidth 4')
--    vis:command('set colorcolumn 89')
    
                  -- configuración para latex
                  -- plantilla de prueba   
    vis:map(vis.modes.NORMAL, "<F9>",
    ':e ~/git_pk/Latex-RR/pruebax/art_prueba.tex<Enter>') 

                  -- macros
                  -- insertar bloque de definición 
    vis:map(vis.modes.INSERT, "<M-d>", 
    [[\begin{description}<Enter> \item[Foo]<Enter>\end{description}]])

                  -- insertar bloque de viñetas 
    vis:map(vis.modes.INSERT, "<M-i>", 
    [[\begin{itemize}<Enter> \item<Enter>\end{itemize}]])

                  -- insertar bloque de numeración 
    vis:map(vis.modes.INSERT, "<M-e>", 
    [[\begin{enumerate}<Enter> \item<Enter>\end{enumerate}]])
end)
 
                  -- diccionario
    vis:map(vis.modes.NORMAL, "<F3>",
    function()
    vis:command('!tmux split-window -l 12 "hunspell -t $vis_filepath"')
  --  vis:command('!hunspell -t $vis_filepath')
end)

                    -- compilar .tex 
    vis:map(vis.modes.NORMAL, "<F4>",
    function()
    vis:command(':w')                                                 -- guardar
    vis:command('!tmux split-window -l 12 "lualatex $vis_filepath"')  -- compilar
  --  vis:command('!lualatex $vis_filepath')                          -- compilar
  --  vis:info("file .tex guardado y compilado")                      -- mensaje de salida
end)

                 -- compilar .tex -- makefile
    vis:map(vis.modes.NORMAL, "<F5>",
    function()
    vis:command(':w')                               -- guardar
    vis:command('!tmux split-window -l 12 "make"')  -- compilar
 -- vis:command('!make')                            -- compilar
 -- vis:info("file .tex guardado y compilado")      -- mensaje de salida
end) 

                  -- visualizar .pdf
    vis:map(vis.modes.NORMAL, "<F6>", 
    function()
    vis:command('!vis-open -p seleccionar: *.pdf | xargs -r zathura &')
end)

                  -- salida file modificado
    vis:map(vis.modes.NORMAL, "ZZ",
    function()
    if vis.win.file.modified then
           vis:command(':wq')
    else
           vis:command(':q!')
    end
end)
